declare namespace BA.Ui {
    class AppMenu {
        private static _SetHeightOnShow;
        private static _LastSearch;
        private static _SearchField;
        private static _MenuItemHoverTimeout;
        private static _OldMouseMoveX;
        private static _MouseMoveActivateTimer;
        private static _IsRecentlyUsedEnabled;
        private static _IsFiltered;
        /**
         * Initialize the main navigation
         */
        private static Initialize;
        /**
         * Attaches the mouse event handlers of all menu items or a given query of elements.
         *
         * @param $menuItems Default to all menu items. JQuery of elements to which the mouse event handlers must be attached.
         */
        private static AttachMenuItemEvents;
        /**
         * Attaches the mouse event handlers of all menu items or a given query of elements.
         *
         * @param $menuItems Default to all menu items. JQuery of elements to which the mouse event handlers must be attached.
         */
        private static DetachMenuItemEvents;
        /**
         * Attaches the mouse event handlers of all buttons of reduced alternatives groups (if any) to show more or less entries.
         */
        private static AttachReducedAlternativesEvents;
        /**
         * Detaches the mouse event handlers of all buttons of reduced alternatives groups (if any) to show more or less entries.
         */
        private static DetachReducedAlternativesEvents;
        private static ShowMoreAlternativeItems;
        private static ShowLessAlternativeItems;
        /**
         * Shows the menu.
         */
        static Show(): void;
        /**
         * Hides the menu.
         */
        static Hide(): void;
        /**
         * Shows or hides the menu, depending on current visibility status.
         */
        private static ToggleVisibility;
        private static UpdateHeight;
        private static ActivateFirstItemInLevel;
        /**
         * Shows the menu section of the given level.
         *
         * @param level Level of menu section to show.
         */
        private static ShowLevel;
        /**
         * Hides the menu section of the given level.
         *
         * @param level Level of menu section to hide.
         */
        private static HideLevel;
        /**
         * Activates a menu item and shows or hides the next menu sections.
         *
         * @param $element JQuery of the menu item.
         */
        private static ActivateMenuItem;
        private static DeleteAllAppMenuItemCopies;
        private static CopyMenuItemUIForPinnedAndRecentlyUsed;
        /**
         * Handles the click of a menu item to either open the url or to execute the corresponding action.
         *
         * @param $menuItem Clicked menu item.
         * @param event Event object.
         */
        private static OnItemClick;
        private static TogglePinAppMenuItem;
        private static SavePinnedMenuItem;
        private static RemovePinnedMenuItem;
        private static SaveRecentlyUsedMenuItem;
        private static RemovePinnedAndRecentlyUsedMenuItem;
        private static UpdateQuickAccessVisibility;
        private static BlinkQuickAccess;
        private static UpdatePinnedMarkings;
        /**
         * Updates the alternatives in the app menu.
         */
        private static UpdateAlternatives;
        /**
         * Updates the alternatives of a menu item.
         *
         * @param id Id of the menu item whose alternatives will be updated.
         * @param alternatives New alternatives for the menu item.
         */
        private static UpdateAlternativesOfMenuItem;
        private static InitializeSearch;
        private static OnSearchFieldKeyDown;
        private static OnSearchFieldKeyUp;
        private static FilterMenu;
        private static ClearSearchField;
        private static OnSearchFieldCleared;
    }
}
