declare namespace BA.Ui.Controls {
    /**
     * Class used for all actions performed by ControlStyleConfigDialog
     * */
    class ControlStyleConfigurationEvents {
        /**
         * Name of Formula field
         * */
        private static readonly DescriptionFieldName;
        /**
         * Name of Formula field
         * */
        private static readonly FormulaFieldName;
        /**
         * Name of style option field
         * */
        private static readonly StyleOptionFieldName;
        /**
         * Name of style value field
         * */
        private static readonly StyleValueFieldName;
        /**
         * Control to focus on if neccessary
         * */
        private static FocusControlName;
        static AttachHoverToRemoveForAllStyleDialogs(): void;
        /**
         * Function to be called when the ialog is either initialized or refreshed
         * */
        static InitDialog(sender: BAClientPopupControl): void;
        /**
         * Add conditional style rule to dialog
         * */
        static OnConditionalStyleAddClick(s: any): void;
        /**
         * remove conditional style rule from dialog
         * */
        static OnConditionalStyleRemoveClick(s: any): void;
        /**
         * add single style rule to dialog
         * */
        static OnStyleRuleAddClick(s: any): void;
        /**
         * remove single style rule from dialog
         * */
        static OnStyleRuleRemoveClick(s: any): void;
        /**
         * Set field values to previous values
         * */
        private static SetFieldValues;
        /**
         * function that is called when style option field is changed
         * empties corresponding value and refreshes the dialog
         * */
        static OnStyleOptionChanged(s: any, e: any): void;
        /**
         * Helper function to set value to value field
         * */
        static SetStyleValueToAnyControl(controlName: string, value: string): void;
        /**
         * Open the Dialog and set the configuration field name
         * */
        static OpenAnyStyleConfigurationDialog(s: BAClientButtonProperty, dialogIdentifier: string): void;
    }
}
