declare namespace BA.Ui.Models {
    /**
     * Message model used for communication with OpenAI
     */
    class OpenAIMessageModel {
        /**The role*/
        Role: string;
        /**The message content*/
        Content: string;
    }
    /**
     * User input model used for communication with OpenAI
     */
    class OpenAIUserInputModel {
        /** user prompt*/
        Prompt: string;
        /**Tone of voice*/
        ToneOfVoice: string;
        /** Text length (percentage value)*/
        TextLength: number | null;
        /**constructor */
        constructor();
    }
    /** Model for passing data of a converation with openAI */
    class OpenAIClientCommunicationModel extends OpenAIUserInputModel {
        /** History of messages */
        History: OpenAIMessageModel[];
        /** current message retrieved by open AI*/
        CurrentMessage: string;
        /** constructor*/
        constructor();
        /**
         * copy data from a OpenAIUserInputModel to an OpenAIClientCommunicationModel
         * @param userInput The user input model
         */
        private AddDataFromUserInputModel;
        /**
         * Copy Data from a OpenAIUserInputModel to an OpenAIClientCommunicationModel
         * @param clientCommunicationModel the clientCommunicationModel (type sometimes gets lost in js for unknown reasons)
         * @param userInput the userInputModel
         * @returns The updated ClientCommunicationModel
         */
        static AddDataFromUserInputModel(clientCommunicationModel: any, userInput: OpenAIUserInputModel): OpenAIClientCommunicationModel;
    }
}
