declare namespace BA.Ui.Widgets {
    class DayAtAGlanceWidget extends ListWidget {
        private ActiveFilterDate;
        private CalendarContainer;
        private CalendarControl;
        private DatesToHighlight;
        /**
         * Overrides the list creation function.
         *
         * @param createParameters
         */
        protected CreateListControl(createParameters: BA.Ui.ClientSideControls.List.ListControlCreateParameters): BA.Ui.ClientSideControls.List.ListControl | JQueryPromise<BA.Ui.ClientSideControls.List.ListControl>;
        private InsertFilterButton;
        /**
         * Creates and initializes the calendar filter.
         * @param filters
         */
        protected InitCustomFilters(filters: BA.Ui.ClientSideControls.List.ListFilter[]): void;
        AddPopupMenu(): void;
        /**
         * Function that is called when a context menu item is clicked
         * */
        OnContextMenuItemClick(e: any): void;
        Init(): void;
        Unload(tabClosing?: boolean): void;
        /**
         * function that refreshes the filter
         * */
        RefreshFilterView(): void;
        Refresh(blockWidget?: boolean, async?: boolean, updateFilter?: boolean): void;
        AddRefreshAction(): void;
        /**
         * Set filter to current Date
         * @param e
         */
        SetFilterToDate(e: any | Date): void;
        /**
         * Set the cell template
         * @param cellData
         * @param cellIndex
         * @param cellElement
         */
        SetCellTemplate(cellData: any, cellIndex: any, cellElement: any): JQuery<HTMLElement>;
        /**
         * Create the Calendar Filter Control
         * */
        CreateCalendarControl(): void;
        /**
         * Get all dates within this month that have appointments
         * @param month
         */
        GetDatesToHighlight(month: number, year: number): void;
        /**
         * Function to be called when the filter option changed
         * @param e
         */
        OnFilterOptionChanged(e: any): void;
        /**
         * Convert the local date to ticks
         * @param date
         */
        private toTicks;
        OnWidgetSettingsDialogClosed(isSuccess: boolean, changesJson: string): void;
        OnRemoved(): void;
    }
}
